<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendOtpMail extends Mailable
{
    use Queueable, SerializesModels;

    public $user;
    public $otp;

    
    public function __construct($user, $otp)
    {
        $this->user = $user;
        $this->otp = $otp;
    }

    
    public function build()
    {
        return $this->markdown('emails.send-otp')
            ->subject('Kode Verifikasi Akun Anda - Pustaka Nawasena Bakorwil III Malang')
            ->with([
                'name' => $this->user->name,
                'otp'  => $this->otp,
            ]);
    }
}

